#include <iostream>
#include <stdio.h>
using namespace std;
int kombinacija(int a,int b,int c)
{
  int anule=10,abnule=10,a1=a,x;
  while(a1>=10)
  {
      a1/=10;
      anule*=10;
  }
  x=a+anule*b;
    while(x>=10)
  {
      x/=10;
      abnule*=10;
  }
  return a+anule*b+abnule*c;
}
int main()
{
    int a,b,c,maxx,i;
    scanf("%d%d%d",&a,&b,&c);
    int k[6];
    k[0]=kombinacija(a,b,c);
    k[1]=kombinacija(a,c,b);
    k[2]=kombinacija(b,a,c);
    k[3]=kombinacija(b,c,a);
    k[4]=kombinacija(c,b,a);
    k[5]=kombinacija(c,a,b);
    maxx=k[0];
    for(i=0;i<6;i++)
        if(k[i]>maxx)
          maxx=k[i];

    printf("%d",maxx);
    return 0;
}